com.h3c.of.lib.msg

## Enum FlowRemovedReason

- java.lang.Object
- - java.lang.Enum<FlowRemovedReason>
  - - com.h3c.of.lib.msg.FlowRemovedReason

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<FlowRemovedReason>

      public enum FlowRemovedReason
      extends Enum<FlowRemovedReason>
      implements OfpCodeBasedEnum

  Designates the reason a flow was removed; Since 1.0.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` Evicted by a DELETE flow mod; Since 1.0.
    `GROUP_DELETE` Group was removed; Since 1.1.
    `HARD_TIMEOUT` Time exceeded the hard timeout; Since 1.0.
    `IDLE_TIMEOUT` Flow idle time exceeded the idle timeout; Since 1.0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static FlowRemovedReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlowRemovedReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE_TIMEOUT

          public static final FlowRemovedReason IDLE_TIMEOUT

      Flow idle time exceeded the idle timeout; Since 1.0.

    - #### HARD_TIMEOUT

          public static final FlowRemovedReason HARD_TIMEOUT

      Time exceeded the hard timeout; Since 1.0.

    - #### DELETE

          public static final FlowRemovedReason DELETE

      Evicted by a DELETE flow mod; Since 1.0.

    - #### GROUP_DELETE

          public static final FlowRemovedReason GROUP_DELETE

      Group was removed; Since 1.1.

  - ### Method Detail

    - #### values

          public static FlowRemovedReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlowRemovedReason c : FlowRemovedReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlowRemovedReason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

Copyright © 2014. All Rights Reserved.